1 - 1.4
post /v1/log-groups
Description
Create a Log group.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
2 - 1.3
post /v1/log-groups
Description
Create a Log group.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
3 - 1.2
post /v1/log-groups
Description
Create a Log group.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
4 - 1.1
post /v1/log-groups
Description
Create a Log group.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
5 - 1.0
post /v1/log-groups
Description
Create a Log group.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}